%define anolis_release 2

%define product_family Anolis OS
%define base_release_version 23

Name:           anolis-rawhide-release
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        Extra Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        AnolisOS-EPAO.repo
Source1:        AnolisOS-Nightly.repo

BuildArch:  noarch

%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n anolis-epao-release
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-epao
BuildArch:      noarch
Requires:       anolis-release >=  %{base_release_version}

%description -n anolis-epao-release
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%package -n anolis-nightly-release
Summary:        %{product_family} %{base_release_version} nightly repository configuration
Group:          System Environment/Base
Provides:       anolis-nightly
BuildArch:      noarch
Requires:       anolis-release >=  %{base_release_version}

%description -n anolis-nightly-release
Anolis OS %{version} nightly repository.

%prep

%build


%install
# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d


%files -n anolis-epao-release
%config(noreplace) /etc/yum.repos.d/AnolisOS-EPAO.repo

%files -n anolis-nightly-release
%config(noreplace) /etc/yum.repos.d/AnolisOS-Nightly.repo

%changelog
* Thu Jun 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-2
- add anolis-nightly-release

* Mon Jun 26 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-1
- init from Anolis OS 23
